import Vue from 'vue'

import { MyButton, MyButtonGroup } from './components'
import { Components } from './types/components'

const elements = [
  { component: MyButton, name: Components.MyButton },
  { component: MyButtonGroup, name: Components.MyButtonGroup }
]

const MyElements = {
  install (vue: typeof Vue): void {
    elements.forEach(el => vue.component(el.name, el.component))
  }
}

if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.use(MyElements, {})
}

export { MyButton, MyButtonGroup }
export default MyElements
